/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)MimeTypeEntry.java	1.5 07/05/14
 */

package com.sun.activation.registries;

import java.lang.*;

public class MimeTypeEntry {
    private String type;
    private String extension;

    public MimeTypeEntry(String mime_type, String file_ext) {
	type = mime_type;
	extension = file_ext;
    }

    public String getMIMEType() {
	return type;
    }

    public String getFileExtension() {
	return extension;
    }

    public String toString() {
	return "MIMETypeEntry: " + type + ", " + extension;
    }
}
