/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)LiteralException.java	1.5 07/05/04
 */

package com.sun.mail.iap;

/**
 * @author Bill Shannon
 */

public class LiteralException extends ProtocolException {

    private static final long serialVersionUID = -6919179828339609913L;

    /**
     * Constructs a LiteralException with the specified Response object.
     */
    public LiteralException(Response r) {
	super(r.toString());
	response = r;
    }
}
