/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)Item.java	1.6 07/05/04
 */

package com.sun.mail.imap.protocol;

/**
 * A tagging interface for all IMAP data items.
 * Note that the "name" field of all IMAP items MUST be in uppercase.
 *
 * @version 1.6, 07/05/04
 * @author  John Mani
 * @see BODY, BODYSTRUCTURE, ENVELOPE, FLAGS, INTERNALDATE, RFC822DATA,
 *	RFC822SIZE, UID
 */

public interface Item { 
}
