/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)POP3SSLStore.java	1.3 07/05/04
 */

package com.sun.mail.pop3;

import javax.mail.*;

/**
 * A POP3 Message Store using SSL.  Contains only one folder, "INBOX".
 *
 * @author      Bill Shannon
 */
public class POP3SSLStore extends POP3Store {

    public POP3SSLStore(Session session, URLName url) {
	super(session, url, "pop3s", 995, true);
    }
}
