/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.connectors.ftp.temporaryData;

import java.io.InputStream;


import org.apache.commons.net.ftp.FTPClient;

public class FtpData {
    public String file;
    public FTPClient ftp;
    public InputStream in;
        
    public FtpData() {
        file = null;
        ftp = null;
        in = null;
	}

	public FtpData(String file, FTPClient ftp, InputStream in) {
        this.file = file;
        this.ftp = ftp;
        this.in = in;
    }

	public String getFile() {
		return file;
	}

	public FTPClient getFtp() {
		return ftp;
	}

	public InputStream getIn() {
		return in;
	}

	public void setFile(String file) {
		this.file = file;
	}

	public void setFtp(FTPClient ftp) {
		this.ftp = ftp;
	}

	public void setIn(InputStream in) {
		this.in = in;
	}	
}
