/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.integration.api;

import org.eclipse.ebpm.messaging.api.Exchange;

/**
 * 
 * @author zoppello
 * This interface is the main interface to be used by the orchestration
 * engine to call message style service
 */
public interface IServiceRunner extends IElementWithProperties {

	public void run(String serviceID, Exchange exchange);

}
