/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.api;

import java.util.List;

public interface InterceptorProvider {
    
    public enum Phase {
        ServerIn,
        ServerOut,
        ServerOutFault,
        ClientOut,
        ClientIn,
        ClientInFault
    }
    
    public List<Interceptor> getInterceptors(Phase phase);

}
