/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.api.model.wsdl1;

import java.util.Collection;

import javax.xml.namespace.QName;

import org.eclipse.ebpm.soap.api.model.Message;

public interface Wsdl1Message<T extends Wsdl1Part> extends Message {

    public QName getName();
    
    public String getMessageName();
    
    public Collection<T> getParts();
    
}
