/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.impl;

import org.eclipse.ebpm.soap.bindings.soap.model.wsdl1.Wsdl1SoapPart;
import org.eclipse.ebpm.soap.core.model.AbstractWsdl1Part;

public class Wsdl1SoapPartImpl extends AbstractWsdl1Part implements Wsdl1SoapPart {

    private boolean isBody;
    private boolean isHeader;
    
    /**
     * @return the isBody
     */
    public boolean isBody() {
        return isBody;
    }
    /**
     * @param isBody the isBody to set
     */
    public void setBody(boolean isBody) {
        this.isBody = isBody;
    }
    /**
     * @return the isHeader
     */
    public boolean isHeader() {
        return isHeader;
    }
    /**
     * @param isHeader the isHeader to set
     */
    public void setHeader(boolean isHeader) {
        this.isHeader = isHeader;
    }
    
}
