/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.impl;

import java.net.URI;

import org.eclipse.ebpm.soap.bindings.soap.model.wsdl2.Wsdl2SoapMessage;
import org.eclipse.ebpm.soap.bindings.soap.model.wsdl2.Wsdl2SoapOperation;
import org.eclipse.ebpm.soap.core.model.AbstractWsdl2Operation;

public class Wsdl2SoapOperationImpl extends AbstractWsdl2Operation<Wsdl2SoapMessage> implements Wsdl2SoapOperation {

    private String soapAction;
    private URI soapMep;

    /**
     * @return the soapAction
     */
    public String getSoapAction() {
        return soapAction;
    }

    /**
     * @param soapAction the soapAction to set
     */
    public void setSoapAction(String soapAction) {
        this.soapAction = soapAction;
    }

    /**
     * @return the soapMep
     */
    public URI getSoapMep() {
        return soapMep;
    }

    /**
     * @param soapMep the soapMep to set
     */
    public void setSoapMep(URI soapMep) {
        this.soapMep = soapMep;
    }
    
}
