/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core.model;

import java.net.URI;
import java.util.Set;

import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Message;
import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Operation;

/**
 */
public class AbstractWsdl2Operation<T extends Wsdl2Message> extends AbstractOperation<T> implements Wsdl2Operation<T> {

    private Set<URI> style;

    /**
     * @return the style
     */
    public Set<URI> getStyle() {
        return style;
    }

    /**
     * @param style the style to set
     */
    public void setStyle(Set<URI> style) {
        this.style = style;
    }
    
}
