/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)SaslAuthenticator.java	1.4 07/05/04
 */

package com.sun.mail.imap.protocol;

import com.sun.mail.iap.ProtocolException;

/**
 * Interface to make it easier to call IMAPSaslAuthenticator.
 */

public interface SaslAuthenticator {
    public boolean authenticate(String[] mechs, String realm, String authzid,
				String u, String p) throws ProtocolException;

}
