/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)SMTPSSLTransport.java	1.3 07/05/04
 */

package com.sun.mail.smtp;

import javax.mail.*;

/**
 * This class implements the Transport abstract class using SMTP
 * over SSL for message submission and transport.
 *
 * @author Bill Shannon
 */

public class SMTPSSLTransport extends SMTPTransport {

    /** Constructor */
    public SMTPSSLTransport(Session session, URLName urlname) {
	super(session, urlname, "smtps", 465, true);
    }
}
