/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)StoreListener.java	1.6 07/05/04
 */

package javax.mail.event;

import java.util.*;

/**
 * This is the Listener interface for Store Notifications.
 *
 * @author John Mani
 */

public interface StoreListener extends java.util.EventListener {

   /**
    * Invoked when the Store generates a notification event.
    *
    * @see StoreEvent#ALERT
    * @see StoreEvent#NOTICE
    */
   public void notification(StoreEvent e);
}
