/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.attachments;

import javax.activation.DataHandler;


public class AttachmentFacade {
	
	public static String store(String name, DataHandler value) {
		return AttachmentStoreManager.getAttachmentStore().store(name, null, value);
	}
	
	public static Attachment load(String exId){
		DataHandler dh =  AttachmentStoreManager.getAttachmentStore().load(exId);
		Attachment attachment = new Attachment(exId, dh);
		return attachment;
	}
	
	public static void delete(String id){
		AttachmentStoreManager.getAttachmentStore().delete(id);
	}
	
}
