/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.attachments;

import javax.activation.DataHandler;

public interface IAttachmentStore {
	
	public String getAttachmentStoreId();
	
	// Store an attachment on attachment Store and return the id of the attachments in the store
	public String store(String name, String correlationID, DataHandler value);
	
	// Load an attachment with id
	public DataHandler load(String id);
	
	//Delete an attachment with id
	public void delete(String id);

}
