/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.connectors.ftp;

import java.net.URI;

public class FtpParameters {
	
	public FTPClientPool clientPool;
    
    public boolean deleteFile;// = true;
    
    public boolean recursive;// = true;
    
    public boolean changeWorkingDirectory;
        
    public URI uri;
    
    public boolean stateless;// = true;
    
    public long period;

}
