/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.core.registry;

import java.util.List;

public interface ISpagicRegistry {

	public boolean isRegistered(String spagicId);
	
	public boolean isRegisteredLocally(String spagicId);
	
	public String getServiceNode(String spagicId);
	
	public List<String> getSnaphshot();
	
}
