/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.core.routing;

import org.eclipse.ebpm.messaging.api.Exchange;

public interface IMessageRouter {

	public void send(Exchange exchange) throws Exception;
	
	public boolean isServiceRegistered(String serviceID) throws Exception;
	
	
	
	

}
