/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.datasource;

import java.util.Set;

import javax.sql.DataSource;

public interface IDataSourceManager {
	
	public static final String OSGI_PREFIX = "osgi/";
	
	public DataSource getDataSource(String datasourceIdentifier) throws Exception;
	public Set<String> getRegisteredDatasourcesIDs();
}
