/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.constants;

import org.eclipse.ebpm.metadb.model.ProcessExecutionState;


public class ProcessExecutionStateConstants {
	
	public static final Long NORMAL_EXECUTION = new Long(0);	// Executing
	public static final Long PAUSE_EXECUTION = new Long(1);	// Pause request
	public static final Long STOP_EXECUTION = new Long(2);	// Stop request
	
	public static final ProcessExecutionState NORMAL_EXECUTION_INSTANCE = new ProcessExecutionState(NORMAL_EXECUTION);
	public static final ProcessExecutionState PAUSE_EXECUTION_INSTANCE = new ProcessExecutionState(PAUSE_EXECUTION);
	public static final ProcessExecutionState STOP_EXECUTION_INSTANCE = new ProcessExecutionState(STOP_EXECUTION);
	
}
