/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.security;

public interface Constants {

	public static String SPAGIC_NS = "urn:eng:spagic";
	public static String SPAGIC_NS_ALIAS = "spagic:";

	public static String COMMON_NAME = "CN";
	public static String ORGANIZATIONAL_UNIT = "OU";
	public static String ORGANIZATION = "O";
	public static String LOCALITY = "L";
	public static String STATE = "ST";
	public static String COUNTRY = "C";
	
	public static String PAYLOAD_ELEMENT = "payload";
	public static String MESSAGE_ELEMENT = "message";
	public static String PROPERTIES_ELEMENT = "properties";
	public static String SECURITY_ELEMENT = "security";
	
	public static String SECURITY_TOKEN = "org.spagic3.security.token";

}
