/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.api.model;

import java.net.URI;

import javax.xml.namespace.QName;

public interface Operation<T extends Message> {

    public QName getName();
    
    public T getInput();
    
    public T getOutput();
    
    public URI getMep();
    
}
