/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.model.wsdl2;

import java.util.Collection;

import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Message;
import org.eclipse.ebpm.soap.bindings.http.model.Wsdl2HttpHeader;
import org.eclipse.ebpm.soap.bindings.soap.model.SoapMessage;

public interface Wsdl2SoapMessage extends Wsdl2Message, SoapMessage {

    public Collection<Wsdl2SoapModule> getSoapModules();
    
    public Collection<Wsdl2SoapHeader> getSoapHeaders();
    
    public Collection<Wsdl2HttpHeader> getHttpHeaders();
}
