/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core.model;

import javax.xml.namespace.QName;

import org.eclipse.ebpm.soap.api.model.Message;

public class AbstractMessage implements Message {

    private QName elementName;

    /**
     * @return the elementName
     */
    public QName getElementName() {
        return elementName;
    }

    /**
     * @param elementName the elementName to set
     */
    public void setElementName(QName elementName) {
        this.elementName = elementName;
    }
    

}
