/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.ws.security;

import org.eclipse.ebpm.soap.core.AbstractPolicy;
import org.eclipse.ebpm.soap.interceptors.xml.DomInInterceptor;

public class WsSecurityPolicy extends AbstractPolicy {

    public WsSecurityPolicy() {
        getInterceptors(Phase.ServerIn).add(new DomInInterceptor());
        getInterceptors(Phase.ServerIn).add(new WsSecurityInInterceptor(this));
        
        getInterceptors(Phase.ServerOut).add(new WsSecurityOutInterceptor(this));
    }
    
}
