/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.util.resources;

import java.io.InputStream;
import java.net.URL;

public interface IResource {

	public InputStream openStream();
	
	public URL asURL();
	
	public String pathAsString();
}
